package com.yanzuoguang.excel;

import java.util.ArrayList;
import java.util.List;

/**
 * 订单导出数据
 *
 * @author 颜佐光
 */
public class ExportData {

    public static final short ROW_HEIGHT_UNIT = 10;
    public static final short TITLE_HEIGHT = 80;
    public static final short SUB_TITLE_HEIGHT = 40;
    public static final short HEAD_HEIGHT = 20;
    public static final short ROW_HEIGHT = 20;
    public static final short COLUMN_WIDTH = 120;

    /**
     * 服务器保存路径
     */
    private String serverPath;

    /**
     * 文件名
     */
    private String fileName;

    /**
     * 标题
     */
    private String title;

    /**
     * 标题高度
     */
    private short titleHeight;

    /**
     * 子标题
     */
    private String subTitle;

    /**
     * 子标题高度
     */
    private short subTitleHeight;

    /**
     * 列标题高度
     */
    private short headHeight;

    /**
     * 行高度
     */
    private short rowHeight;

    /**
     * 包含列
     */
    private List<ExportColumn> columns = new ArrayList<>();

    public String getServerPath() {
        return serverPath;
    }

    public void setServerPath(String serverPath) {
        this.serverPath = serverPath;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public short getTitleHeight() {
        if (titleHeight < 1) {
            return TITLE_HEIGHT;
        }
        return titleHeight;
    }

    public void setTitleHeight(short titleHeight) {
        this.titleHeight = titleHeight;
    }

    public String getSubTitle() {
        return subTitle;
    }

    public void setSubTitle(String subTitle) {
        this.subTitle = subTitle;
    }

    public short getSubTitleHeight() {
        if (subTitleHeight < 1) {
            return SUB_TITLE_HEIGHT;
        }
        return subTitleHeight;
    }

    public void setSubTitleHeight(short subTitleHeight) {
        this.subTitleHeight = subTitleHeight;
    }

    public short getHeadHeight() {
        if (headHeight < 1) {
            return HEAD_HEIGHT;
        }
        return headHeight;
    }

    public void setHeadHeight(short headHeight) {
        this.headHeight = headHeight;
    }

    public short getRowHeight() {
        if (rowHeight < 1) {
            return ROW_HEIGHT;
        }
        return rowHeight;
    }

    public void setRowHeight(short rowHeight) {
        this.rowHeight = rowHeight;
    }

    public List<ExportColumn> getColumns() {
        return columns;
    }

    public void setColumns(List<ExportColumn> columns) {
        this.columns = columns;
    }
}
